dlls/mscms/profile.c breakage

Hans Leidekker hans at it.vu.nl
Tue Nov 23 06:28:46 CST 2004

On Tuesday 23 November 2004 10:21, Francois Gouget wrote:

> > I'm sure we will be needing many of those newer APIs. Is there any
> > chance for you to upgrade your lcms.h to 1.13?
> A better solution would probably be to check for one of the newer APIs 
> in configure.ac (or the LCMSICCPROFILE structure if that is possible).

That's another solution but I'm not sure if it's a *better* solution. It
will mean that Gerald won't see any compiler errors, but it will also mean
he builds an MSCMS dll without or with limited lcms support. At this stage
of development I don't think it's reasonable to try to support an old
version of lcms that has only half of the APIs compared to the latest.

But it's orthogonal I guess, we should encourage packagers to compile with
support for recent lcms as well as prevent breakage on old headers. Newer 
lcms.h has a version #define which we could use for a configure check b.t.w.


More information about the wine-devel mailing list